#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 ghcide
version:              1.10.0.0
visibility:           public
id:                   ghcide-1.10.0.0-CDGj4rQgLxaFAIkSgVSteS
key:                  ghcide-1.10.0.0-CDGj4rQgLxaFAIkSgVSteS
license:              Apache-2.0
copyright:            Digital Asset and Ghcide contributors 2018-2020
maintainer:           Ghcide contributors
author:               Digital Asset and Ghcide contributors
homepage:
    https://github.com/haskell/haskell-language-server/tree/master/ghcide#readme

synopsis:             The core of an IDE
description:          A library for building Haskell IDE'\''s on top of the GHC API.
category:             Development
abi:                  f89219b93cb5c215c59f2b2ea7b09ae6
exposed:              True
exposed-modules:
    Control.Concurrent.Strict Development.IDE
    Development.IDE.Core.Actions Development.IDE.Core.Compile
    Development.IDE.Core.Debouncer Development.IDE.Core.FileStore
    Development.IDE.Core.FileUtils
    Development.IDE.Core.IdeConfiguration
    Development.IDE.Core.OfInterest
    Development.IDE.Core.PositionMapping
    Development.IDE.Core.Preprocessor
    Development.IDE.Core.ProgressReporting
    Development.IDE.Core.RuleTypes Development.IDE.Core.Rules
    Development.IDE.Core.Service Development.IDE.Core.Shake
    Development.IDE.Core.Tracing Development.IDE.Core.UseStale
    Development.IDE.GHC.Compat Development.IDE.GHC.Compat.Core
    Development.IDE.GHC.Compat.Env Development.IDE.GHC.Compat.Iface
    Development.IDE.GHC.Compat.Logger
    Development.IDE.GHC.Compat.Outputable
    Development.IDE.GHC.Compat.Parser
    Development.IDE.GHC.Compat.Plugins Development.IDE.GHC.Compat.Units
    Development.IDE.GHC.Compat.Util Development.IDE.GHC.CoreFile
    Development.IDE.GHC.Error Development.IDE.GHC.Orphans
    Development.IDE.GHC.Util
    Development.IDE.Import.DependencyInformation
    Development.IDE.Import.FindImports
    Development.IDE.LSP.HoverDefinition
    Development.IDE.LSP.LanguageServer
    Development.IDE.LSP.Notifications Development.IDE.LSP.Outline
    Development.IDE.LSP.Server Development.IDE.Main
    Development.IDE.Main.HeapStats Development.IDE.Monitoring.EKG
    Development.IDE.Monitoring.OpenTelemetry Development.IDE.Plugin
    Development.IDE.Plugin.Completions
    Development.IDE.Plugin.Completions.Types Development.IDE.Plugin.HLS
    Development.IDE.Plugin.HLS.GhcIde Development.IDE.Plugin.Test
    Development.IDE.Plugin.TypeLenses Development.IDE.Session
    Development.IDE.Spans.AtPoint Development.IDE.Spans.Common
    Development.IDE.Spans.Documentation
    Development.IDE.Spans.LocalBindings Development.IDE.Spans.Pragmas
    Development.IDE.Types.Diagnostics Development.IDE.Types.Exports
    Development.IDE.Types.HscEnvEq Development.IDE.Types.KnownTargets
    Development.IDE.Types.Location Development.IDE.Types.Logger
    Development.IDE.Types.Monitoring Development.IDE.Types.Options
    Development.IDE.Types.Shake Generics.SYB.GHC Text.Fuzzy.Parallel

hidden-modules:
    Development.IDE.Core.FileExists Development.IDE.GHC.CPP
    Development.IDE.GHC.Warnings
    Development.IDE.Plugin.Completions.Logic
    Development.IDE.Session.VersionCheck Development.IDE.Types.Action

import-dirs:          /usr/lib/ghc-9.2.8/site-local/ghcide-1.10.0.0
library-dirs:         /usr/lib/ghc-9.2.8/site-local/ghcide-1.10.0.0
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/haskell-ghcide
hs-libraries:         HSghcide-1.10.0.0-CDGj4rQgLxaFAIkSgVSteS
depends:
    Diff-0.4.1-ABr4z81dawB7qqEgf1hqaX
    Glob-0.10.2-7yxbC0X7gOtD34tQeqMDSW
    aeson-2.1.2.1-DTIp7ffJsC9lgN2UYC5np
    aeson-pretty-0.8.10-B7uLzSGskWN8zwDYVek8y1 array-0.5.4.0
    async-2.2.5-ISASXWQBo5t2kHzwBCdXKD base-4.16.4.0
    base16-bytestring-1.0.2.0-UScysOiInU1E9nJt6ePNT binary-0.8.9.0
    bytestring-0.11.4.0 case-insensitive-1.2.1.0-KBsKLZBBkHLA2SYVLBTw5z
    co-log-core-0.3.2.3-Hc3tJEmskZXBOb1UrZ8GYR containers-0.6.5.1
    cryptohash-sha1-0.11.101.0-7KUsNSMMC9VETcbVkAGkX4
    data-default-0.7.1.1-HcuW2hRxvD847K0VTSuNyE deepseq-1.4.6.1
    dependent-map-0.4.0.0-LRmztHTlDx24BmNx6vlE1S
    dependent-sum-0.7.2.0-LxIn8EnCtTP8pLSItz0u8p directory-1.3.6.2
    dlist-1.0-HCxoMn9TirQDgPCFxho7O
    enummapset-0.7.3.0-ELTCTvf9vWSLE6kHbIwmHu exceptions-0.10.4
    extra-1.7.16-ESTw8FJfucgANp58seiMXg filepath-1.4.2.2
    fingertree-0.1.5.0-6jbx5dvN9mG8a7NSuQANUT
    focus-1.0.3.2-CzvpBCnm2FurPWrlXfk32 ghc-9.2.8 ghc-boot-9.2.8
    ghc-boot-th-9.2.8 ghc-check-0.5.0.8-73MxzOnbVcq2T0MTPiYLQe
    ghc-paths-0.1.0.12-KU8OzVy7s6GithbR4F0cp
    ghc-trace-events-0.1.2.9-FI8xtj0TQjuI48HJs0fG9x
    haddock-library-1.11.0-Jl8uMkm0YIZFKIcqoKJ1Jm
    hashable-1.4.4.0-1shJtFAyUDm6YNVMIOxWfw
    hie-bios-0.12.0-5DLVRweDvb31TW1HsH3Wl7
    hie-compat-0.3.0.0-J18lPJVEz9RKJxYK1ST1Nn
    hiedb-0.4.3.0-7dlc81HG5hP3g1txjoH6V8
    hls-graph-1.9.0.0-LpVPBgrARUyG3hGfVH33zE
    hls-plugin-api-1.6.0.0-6xxc1Oi77dcL7rWGRwYkK4
    implicit-hie-0.1.2.7-22pjTQL6AfDy3eHHOfBKA
    implicit-hie-cradle-0.5.0.1-1n2gnhZZlZnD8BSLi36gUA
    lens-5.2.3-2JZ3XKI9X344dVlwCAi4Go
    list-t-1.0.5.5-EcLWWCuVoJ2DRFFY9Z84vz
    lsp-1.6.0.0-7UN9JZFLsNG7MKq3sSqAAX
    lsp-types-1.6.0.0-B6yJZGPzsq8YQYNPVCLr4 mtl-2.2.2
    opentelemetry-0.8.0-CN3j2TBq5MGAPp6VBO9F2c
    optparse-applicative-0.17.1.0-B69L9MONH8rG7Fb3K1hLYa
    parallel-3.2.2.0-KgDyPHm89eYAjQsIhXthC1
    prettyprinter-1.7.1-L4l2g2kwtffKsqLbHdXEGp
    prettyprinter-ansi-terminal-1.1.3-A569s4jqU8PB4TcBWsxHTi
    random-1.2.1.2-9cGKz2N6Xs0EPg4VyoTasz
    regex-tdfa-1.3.2.2-AWRtW3HEkDj8mIC5eY5JP0
    safe-exceptions-0.1.7.4-HIWSQ5JKw3jJI6jXyzVqe2
    sorted-list-0.2.2.0-MjsxD74ZoKBLkjibB24v1
    sqlite-simple-0.4.19.0-EE4HnC08eNFEqvG0oRR0LP stm-2.5.0.2
    stm-containers-1.2.1.1-J784zwhZ7t824DoG5okeVl
    syb-0.7.2.4-7M5KdkNPe8v4JwJLONUD12 text-1.2.5.0
    text-rope-0.3-GsFAl58zS6RDKdzSqafO9r time-1.11.1.1
    transformers-0.5.6.2 unix-2.7.2.2
    unliftio-0.2.25.0-FrottZoyY3vFH81Ih9BKGd
    unliftio-core-0.2.1.0-2wlRerPMhUe3AYGiMsYOzn
    unordered-containers-0.2.20-Fh9bn7OEhnqCMuFBZWj2ah
    vector-0.13.1.0-6zUlLOR49glIjajdp1B41

haddock-interfaces:   /usr/share/doc/haskell-ghcide/html/ghcide.haddock
haddock-html:         /usr/share/doc/haskell-ghcide/html
' | '/usr/bin/ghc-pkg-9.2.8' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

